<?php
namespace app\admin\model;

use think\Model;

/**
 * 欢迎语模型
 */
class Reply extends Model
{


    /**
     * find数据筛选
     *
     * @access public
     * @param mixed $where 数据
     * @return array 返回类型
     */
    public function findReply($where)
    {
        $result = $this->where($where)->find();
        return $result;

    }//end findReply()


    /**
     * select数据筛选
     *
     * @access public
     * @param mixed $where 数据
     * @return array 返回类型
     */
    public function selectReply($where)
    {
        $result = $this->where($where)->order('sort', 'asc')->select();
        return $result;

    }//end selectReply()


    /**
     * 新增数据
     *
     * @access public
     * @param mixed $data 数据
     * @return array 返回类型
     */
    public function addReply($data)
    {
        $result = $this->insert($data);
        return $result;

    }//end addReply()


    /**
     * 删除数据筛选
     *
     * @access public
     * @param mixed $where 条件
     * @return array 返回类型
     */
    public function delReply($where)
    {
        $result = $this->where($where)->delete();
        return $result;

    }//end delReply()


    /**
     * 数据修改
     *
     * @access public
     * @param mixed $data 数据
     * @param mixed $where 条件
     * @return array 返回类型
     */
    public function updateReply($where, $data)
    {
        $result = $this->where($where)->update($data);
        return $result;

    }//end updateReply()


}
